> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkupapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Account

> Update an existing webhook account

Update the configuration of an existing LinkedIn or WhatsApp webhook account.

### Header Parameters

<ParamField header="x-api-key" type="string" required>
  Your API key
</ParamField>

### Path Parameters

<ParamField path="account_id" type="string" required>
  The ID of the account to update
</ParamField>

### Body Parameters

<ParamField body="account_name" type="string">
  New account name
</ParamField>

<ParamField body="webhook_url" type="string">
  New webhook URL for notifications
</ParamField>

#### LinkedIn-specific Parameters

<ParamField body="login_token" type="string">
  New LinkedIn authentication token
</ParamField>

<ParamField body="country" type="string">
  New country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
</ParamField>

#### WhatsApp-specific Parameters

<ParamField body="qr_webhook_url" type="string">
  New QR webhook URL for WhatsApp authentication
</ParamField>

### Response

<ResponseField name="id" type="string">
  Account identifier
</ResponseField>

<ResponseField name="login_token" type="string">
  Updated LinkedIn authentication token
</ResponseField>

<ResponseField name="country" type="string">
  Updated country code
</ResponseField>

<ResponseField name="webhook_url" type="string">
  Updated webhook URL
</ResponseField>

<ResponseField name="account_name" type="string">
  Updated account name
</ResponseField>

<ResponseField name="is_active" type="boolean">
  Current monitoring status
</ResponseField>

<ResponseField name="created_at" type="string">
  Account creation timestamp
</ResponseField>

<ResponseField name="updated_at" type="string">
  Last update timestamp
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "id": "60f7b3b3e4b0c8a2d8e9f1a2",
    "login_token": "AQEDARCvKh...",
    "country": "US",
    "webhook_url": "https://new-webhook.com/linkedin",
    "account_name": "Updated Account Name",
    "is_active": true,
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T12:30:00Z"
  }
  ```
</ResponseExample>

### Notes

* All body parameters are optional - only provide the fields you want to update
* If monitoring is active, changes will take effect immediately
* Updating the login token may require restarting monitoring for the changes to take effect
